Package com.xebialabs.xlrelease.domain.variables.reference

# Class VariableUsagePoint

java.lang.Object
com.xebialabs.xlrelease.domain.variables.reference.VariableUsagePoint

All Implemented Interfaces:
  `UsagePoint`

public class VariableUsagePoint extends Object implements UsagePoint

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VariableUsagePoint(Variable variable)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,VariableReference.VariableUsageType>`
  `collectVariables()`
  `CiProperty`
  `getTargetProperty()`
  `protected static scala.PartialFunction<Variable,scala.runtime.BoxedUnit>`
  `replace(String key, String newKey)`
  `protected scala.Option<Variable>`
  `replaceString(String key, String value)`
  `protected scala.Option<Variable>`
  `replaceValue(String key, Object value)`
  `Set<ConfigurationItem>`
  `replaceVariable(Variable toReplace, VariableOrValue replacement)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VariableUsagePoint

    public VariableUsagePoint(Variable variable)

- ## Method Details

  - ### replace

    protected static scala.PartialFunction<Variable,scala.runtime.BoxedUnit> replace(String key, String newKey)

  - ### collectVariables

    public Map<String,VariableReference.VariableUsageType> collectVariables()
    Specified by:
      `collectVariables` in interface `UsagePoint`

  - ### replaceVariable

    public Set<ConfigurationItem> replaceVariable(Variable toReplace, VariableOrValue replacement)
    Specified by:
      `replaceVariable` in interface `UsagePoint`

  - ### getTargetProperty

    public CiProperty getTargetProperty()
    Specified by:
      `getTargetProperty` in interface `UsagePoint`

  - ### replaceString

    protected scala.Option<Variable> replaceString(String key, String value)

  - ### replaceValue

    protected scala.Option<Variable> replaceValue(String key, Object value)